From: David Prévot <david@tilapin.org>
Date: Fri, 25 Mar 2016 14:20:33 -0400
Subject: Group write if write access is needed

In the build and autopkgtest environment ~/.gnupg is not accessible and
cannot be created, failing GeneralTestCase::testSetEngine with

    Crypt_GPG_FileException: The 'homedir' "…/.gnupg" is not readable or
    does not exist and cannot be created. This can happen if 'homedir'
    is not specified in the Crypt_GPG options, Crypt_GPG is run as the
    web user, and the web user has no home directory.

Forwarded: not-needed
---
 Crypt_GPG-1.6.9/tests/GeneralTest.php | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/Crypt_GPG-1.6.9/tests/GeneralTest.php b/Crypt_GPG-1.6.9/tests/GeneralTest.php
index 1ee42f0..767c333 100644
--- a/Crypt_GPG-1.6.9/tests/GeneralTest.php
+++ b/Crypt_GPG-1.6.9/tests/GeneralTest.php
@@ -152,6 +152,9 @@ class GeneralTest extends Crypt_GPG_TestCase
         new Crypt_GPG(array('gpgBinary' => './non-existent-binary'));
     }
 
+    /**
+     * @group write
+     */
     public function testSetEngine()
     {
         $engine = new Crypt_GPG_Engine($this->getOptions());
